[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.OnUTF8KeyPress

Handler for a character entered by the user.

## Declaration

Source position: controls.pp line 2353

`public property TWinControl.OnUTF8KeyPress : TUTF8KeyPressEvent read FOnUTF8KeyPress write FOnUTF8KeyPress;`

## Description

This handler receives characters codes only, not control or other special key codes. Control keys should be handled by an OnKeyDown handler instead. The event handler can also convert the character code into a different value.

While OnKeyPress receives only ANSI characters (with possible loss of characters outside the ANSI codepage), the OnUTF8KeyPress handler receives the UTF-8-encoded character code.

## See also

TWinControl.OnKeyPress |  | Event handler signalled for character data entered by the user.
TWinControl.OnKeyDown |  | Event handler signalled for key down keyboard events.